# $Revision: 1.27 $, $Date: 2008-01-31 12:17:32 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTML
%define		_subclass	Select
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - class for generating HTML form select elements
Summary(pl.UTF-8):	%{_pearname} - klasa do generowania elementów select formularzy HTML
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	6
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	9c9b84cc3b1595f6000ef1845829dae8
Patch0:		%{name}-case.patch
URL:		http://pear.php.net/package/HTML_Select/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML_Select provides an OOP way of generating HTML form select
elements.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
HTML_Select dostarcza zorientowanej obiektowo metody tworzenia
elementów select formularzy HTML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_Select.spec,v $
Revision 1.27  2008-01-31 12:17:32  glen
- rel 6

Revision 1.26  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.24  2006/11/26 13:38:55  glen
- use Patch0

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/03/29 22:29:38  glen
- rel 5 (rebuild with less deps)

Revision 1.21  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.20  2005/10/05 20:11:14  glen
- rel 4

Revision 1.19  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.18  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.17  2004/12/03 22:12:19  adamg
- rebuild with new PEAR provides/requires scripts
- release 3

Revision 1.16  2004/08/09 13:02:09  blues
- release 2

Revision 1.15  2004/08/09 13:01:11  blues
- release 1.1

Revision 1.14  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.12  2004/02/26 15:48:25  adamg
- updated to 1.2.1

Revision 1.11  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.9  2003/07/04 18:31:10  qboosh
- pl fixes

Revision 1.8  2003/07/03 22:48:00  adamg
- initial import
